Subject: bug#35589: closed (Scribus and GIMP: Clipped, non-resizable windows and pixelated icons)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Sep 2020 17:08:02 +0000

Your bug report

#35589: Scribus and GIMP: Clipped, non-resizable windows and pixelated icons

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35589: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35589
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Scribus and GIMP: Clipped, non-resizable windows and pixelated icons
From: sirgazil <[email-masked]>
To: "35589-done" <[email-masked]>
Date: Sun, 27 Sep 2020 12:07:02 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

This issue fixed itself, I can't reproduce it anymore in guix 97e98e2.

Subject: Scribus and GIMP: Clipped, non-resizable windows and pixelated icons
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Sun, 05 May 2019 14:54:43 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

A few days ago I mentioned an issue with a Scribus installed on a foreign distribution using Guix (https://lists.gnu.org/archive/html/help-guix/2019-04/msg00249.html). I'm experiencing the same problem with Scribus and the GIMP in a GNU system installed in a real machine using the ISO installer (https://ftp.gnu.org/gnu/guix/guix-system-install-1.0.0.x86_64-linux.iso.xz).

Scribus (these are from my Guix  on foreign distro experience, but the problem in the GNU system is the same):

    https://multimedialib.files.wordpress.com/2019/04/scribus-154-splash-2019-04-22.png
    https://multimedialib.files.wordpress.com/2019/04/scribus-154-dialog-2019-04-22.png
    https://multimedialib.files.wordpress.com/2019/04/scribus-154-main-2019-04-22.png

GIMP (these are taken from the GNU system):

    https://multimedialib.files.wordpress.com/2019/05/gimp-21010-2019-05-05.png

The windows are clipped (extend beyond the screen limits), you can't resize them, and the icons look like zoomed-in bitmaps. The icon problem is minor, but the other problems make it really hard to use the applications as intended.

---
https://sirgazil.bitbucket.io/